Lattice Builder Manual Software Package for Constructing Rank-1 Lattices

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Friends Modules Pages
Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
LatCommon::ProductWeights Class Reference

Product weights. More...

`#include <ProductWeights.h>`

Inherits LatCommon::Weights.

## Public Member Functions
| ProductWeights (Weight defaultWeight=0.0)
| Constructs projection-dependent weights with a default weight. More...
virtual | ~ProductWeights ()
| Destructor.
virtual Weight | getWeight (const Coordinates &projection) const
| Returns the weight of the projection specified by `projection`.
virtual Weight | getWeightForCoordinate (Coordinates::size_type coordinate) const
| Returns the weight associated to the given coordinate.
virtual void | setWeightForCoordinate (Coordinates::size_type coordinate, Weight weight)
| Sets the weight for the coordinate specified by `coordinate`.
virtual void | setDefaultWeight (Weight weight)
| Sets the default weight of all coordinates for which a weight has not been set explicitly set using setWeightForCoordinate().
Public Member Functions inherited from LatCommon::Weights
virtual | ~Weights ()
| Destructor.

## Protected Member Functions
virtual void | format (std::ostream &os) const
| Identifies the type of weights, formats them and outputs them on `os`. More...

## Protected Attributes
Weight | m_defaultWeight
std::vector< Weight > | m_weights

## Additional Inherited Members
Related Functions inherited from LatCommon::Weights
std::ostream & | operator<< (std::ostream &os, const Weights &o)

## Detailed Description

Product weights.

The weight of a projection is equal to the product of the individual weights of each coordinate involved.

## Constructor & Destructor Documentation

LatCommon::ProductWeights::ProductWeights | ( | Weight | defaultWeight = `0.0` | ) |
| explicit

Constructs projection-dependent weights with a default weight.

Parameters

  defaultWeight | Default weight.

## Member Function Documentation

virtual void LatCommon::ProductWeights::format | ( | std::ostream & | os | ) | const
| protected virtual

Identifies the type of weights, formats them and outputs them on `os`.

Remarks
  Deriving classes should identify themselves in the output.

Implements LatCommon::Weights.

The documentation for this class was generated from the following file:

- latcommon/include/latcommon/ProductWeights.h